{
    "extends": "@tsconfig/node19/tsconfig.json",
    "compileOnSave":false,
    "compilerOptions": {
        "module": "NodeNext",
        "moduleResolution": "NodeNext",
        "outDir": "dist",
        "declaration": true,
        "sourceMap": true,
        "inlineSourceMap": false,
    },
    "include": [
        "**/*.mts",
        "**/*.cts",
        "**/*.ts"
    ],
    "exclude": [
        "gulpfile.ts",
        //"test.ts",    // Uncomment to run [mocha] tests with .`ts-node/esm` &
        "dist",         // uncomment 'loader': 'ts-node/esm' in ..mocharc.js too
        "build",
        "node_modules"
    ],
    "ts-node": {
         "esm": false
    }
}